 package models

import org.joda.time.DateTime
import org.joda.time.Duration

class Fixtures
{
  public static val users = newArrayList
  (
    new User (1l, "marge", "simpson", "marge@simpson.com",  "secret"),
    new User (2l, "lisa",  "simpson", "lisa@simpson.com",   "secret"),
    new User (3l, "bart",  "simpson", "bart@simpson.com",   "secret"),
    new User (4l, "maggie","simpson", "maggie@simpson.com", "secret")
   )
    
  public static val activities = newArrayList
  (
    new Activity (1l, "walk",  "fridge", 0.001, new DateTime(2013, 5, 12, 9,  30), new Duration (10000)),
    new Activity (2l, "walk",  "bar",    1.0,   new DateTime(2013, 5, 17, 10, 30), new Duration (30000)),
    new Activity (3l, "run",   "work",   2.2,   new DateTime(2013, 6, 10, 11, 00), new Duration (50000)),
    new Activity (4l, "walk",  "shop",   2.5,   new DateTime(2013, 7, 22, 9,  00), new Duration (60000)),
    new Activity (5l, "cycle", "school", 4.5,   new DateTime(2013, 8, 30, 9,  30), new Duration (70000))
   )        
    
  public static val locations = newArrayList
  (
    new Location(23.3f, 33.3f),
    new Location(34.4f, 45.2f),  
    new Location(25.3f, 34.3f),
    new Location(44.4f, 23.3f)       
   )
  
  public static val margesActivities =  newArrayList
  (
    activities.get(0), activities.get(1), activities.get(2)
  )  
   
  public static val lisasActivities =  newArrayList
  (
    activities.get(3), activities.get(4)
  ) 
   
  public static val route1 = newArrayList
  (
     locations.get(0), locations.get(1) 
  )

  public static val route2 = newArrayList
  (
     locations.get(2), locations.get(3) 
  )
   
} 