package models

import static org.junit.Assert.*
import org.junit.Test

class LocationTest
{
  val locationStr = '23.3,44.4'
    
  val location1 = new Location (23.3f, 44.4f)
  val location2 = new Location (23.3f, 44.4f)
  val location3 = new Location (55.5f, 66.6f)
  
	@Test def void testCreate()
	{
		assertEquals(0.001, 23.3f, location1.latitude)
		assertEquals(0.001, 44.4f, location1.longitude)
	}

  @Test def void testEquals()
  {
    assertEquals(location1, location2)
    assertNotEquals(location1, location3)    
  }
  
	@Test def void testToString()
	{
		assertEquals(locationStr, location1.toString)
	}
}
