package models

import static org.junit.Assert.*
import org.junit.Test

class UserTest 
{
   val userStr = 'User [
  _id = 0
  _firstname = "homer"
  _lastname = "simpson"
  _email = "homer@simpson.com"
  _password = "secret"
  _activities = {}
]' 
   
  val homer = new User(0l, "homer", "simpson", "homer@simpson.com",  "secret")
   
  @Test def void testCreate()
  {
    assertEquals ("homer",               homer.firstname);
    assertEquals ("simpson",             homer.lastname);
    assertEquals ("homer@simpson.com",   homer.email);   
    assertEquals ("secret",              homer.password);  
  }
  
  @Test def void testToString()
  {
    assertEquals (userStr, homer.toString)
  }
}